=== debian/watch ===
version = 3
https://code.google.com/p/noto/downloads/list?can=1 .*/NotoFonts-hinted-(\d[\d-]*)\.tgz
