## fonts-noto 2015-05-11%2bcjk

=== debian/changelog ===
fonts-noto (2015-05-11+cjk-1~ubuntu15.04.1) vivid-backports; urgency=medium

  * No-change backport to vivid (LP: #1465770)

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 22 Jun 2015 22:15:28 -0500

fonts-noto (2015-05-11+cjk-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot of (same) recent changes, including unhinted and CJK fonts.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Update comment on how tarball was created.
    + Cover Noto Sans CJK fonts: Licensed as SIL-1.1.
  * Fix script count used in long description to exclude language
    variance and other noise.
  * Generalize and improve metadata extraction by use of script
    license-miner.
  * Update package relations:
    Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl: Needed by license-miner.
  * Reorganize packaging:
    + Add package fonts-noto-hinted (with previous content)
    + Add packages fonts-noto-unhinted and fonts-noto-cjk.
    + Have fonts-noto be a metapackage depending on fonts-noto-hinted
      and recommending fonts-noto-unhinted and fonts-noto-cjk.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 May 2015 18:28:01 +0200

fonts-noto (2015-05-11-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot of recent changes.

  [ Jonas Smedegaard ]
  * Mention in long description the unicode name and codepoint (not
    description on possible representation) of character nicknamed Tofu.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright info:
    + Extend coverage for upstream author to include recent years.
    + Adapt source field to explicitly indicate git clone.
    + Add comment on how tarball was created from git clone.
    + Extend coverage for myself.
  * Update Vcs-Browser field: Use cgit URL.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 May 2015 14:40:03 +0200

fonts-noto (2014-08-03-1) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Imported Upstream version 2014-08-03
    + This import is from upstream git snapshot at sha hash is e517fb8.
  * Upstream no longer provides a valid download point. Comment out watch
    line.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 09 Aug 2014 21:04:05 +0530
