## fonts-noto 2015-05-11+cjk

=== debian/changelog ===
fonts-noto (2015-05-11+cjk-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1465770)

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 22 Jun 2015 22:24:43 -0500
