=== debian/control ===
Source: fonts-noto
Priority: optional
Section: fonts
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl,
 lcdf-typetools
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 3.9.6
Homepage: https://code.google.com/p/noto/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-noto.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-noto.git

Package: fonts-noto
Architecture: all
Multi-Arch: foreign
Depends: fonts-noto-hinted
Recommends: fonts-noto-unhinted, fonts-noto-cjk
Description: metapackage to pull in all Noto fonts
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 Use this package if you want all Noto fonts.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted, unhinted and CJK packages).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-noto-hinted
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-noto (<< 2015-05-11+cjk-1~)
Replaces: fonts-noto (<< 2015-05-11+cjk-1~)
Description: "No Tofu" font families with large Unicode coverage (hinted)
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 This package contains Noto font families with hinting:
 .
 ${fonts:familylist}
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted, unhinted and CJK packages).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-noto-unhinted
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: fonts-noto-hinted
Description: "No Tofu" font families with large Unicode coverage (unhinted)
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 This package contains Noto font families which lacks hinting:
 .
 ${fonts:nohintfamilylist}
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted, unhinted and CJK packages).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-noto-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: fonts-noto-hinted
Description: "No Tofu" font families with large Unicode coverage (CJK)
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 This package contains Noto font families for Traditional Chinese,
 Simplified Chinese, Japanese and Korean:
 .
  * Noto Sans CJK JP
  * Noto Sans CJK KR
  * Noto Sans CJK SC
  * Noto Sans CJK TC
  * Noto Sans Mono CJK JP
  * Noto Sans Mono CJK KR
  * Noto Sans Mono CJK SC
  * Noto Sans Mono CJK TC
 .
 These fonts are derived from the font family Source Han Sans.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted, unhinted and CJK packages).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.
