## fonts-noto 20160116

=== debian/changelog ===
fonts-noto (20160116-1) unstable; urgency=medium

  * [ upstream ]
    New "releases".
  * Update TaiTham to v1.04.
  * Add NotoSerifMalayalam hinted and unhinted v1.00.
  * Add Serif Telugu hinted and unhinted v1.00.
  * Add Serif Tamil hinted and unhinted v1.00.
  * Add Serif Kannada hinted and unhinted v1.00.
  * Add Serif Gujarati hinted and unhinted v1.00.
  * Add Serif Bengali hinted and unhinted v1.00.
  * Update README.md with note on superseding Droid.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2016 11:21:36 +0530

fonts-noto (20151217-1) unstable; urgency=medium

  * [ upstream ]
    New "release(s)".
    + Update Javanese to v1.05.
    + Add NotoMono-Regular v1.00 (nee DroidSansMono).
    + Update Symbols to v1.07.

  [ Jonas Smedegaard ]
  * Add package fonts-noto-mono.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2015 23:43:18 +0530

fonts-noto (20151210-1) unstable; urgency=medium

  * [ upstream ]
    New "release" (apparently every upstream commit is a release).

  [ Jonas Smedegaard ]
  * Stop repackage upstream source tarball: No longer (since 20151210)
    includes non-free ICC profile.
  * Update README-source to simplify fetching source slightly.
  * Throw error when commit hash missing in get-orig-source target.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Dec 2015 19:17:06 +0545

fonts-noto (20151116~dfsg-1) unstable; urgency=medium

  * Fix have metapackage fonts-noto depend on ${misc:Depends}.
  * Strip dashes from version: Debian Policy §3.2.1.
  * Move binary package fonts-noto to section metapackages.
  * Fix have fonts-noto-hinted replace older fonts-noto-unhinted: Font
    Noto Sans Tibetan moved.
    Closes: Bug#805843. Thanks to Adam Borowski.
  * Repackage upstream tarball to exclude image with embedded non-DFSG
    ICC data.
  * Add README.source documenting use of CDBS and git-buildpackage, and
    use of time-based releases.
  * Mangle upstream version in watch file, and add comment referring to
    README.source regarding time-based releases.
  * Extract copyright hints of images (not only fonts) with local script
    license-miner.
  * Update copyright info:
    + Relicense upstream code as SIL-1.1.
  * Fix exclude CJK from script coverage count in long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2015 10:44:14 +0100

fonts-noto (2015-09-29-1) unstable; urgency=medium

  * [ upstream ]
    New release: Last release with fonts under the Apache 2.0 license.
    Some highlights of changes:
    + Noto CJK moved to separate project.
    + Add hinted font Noto Sans Tibetan Bold.
    + Add unhinted font Noto Nastaliq Urdu.

  [ Jonas Smedegaard ]
  * Fix resolve script count for metapackage.
    Thanks to Kess Vargavind.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Fix use only URL in source paragraph.
    + Add alternate git source URL.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Include upstream README and FAQ.

  [ Vasudev Kamath ]
  * Update upstream URLs for homepage, source and preferred contact:
    Upstream project moved to Github.
  * Drop binary package fonts-noto-cjk: Now separate upstream project.
  * Upate my email address in Uploader field.
  * Use https url in Vcs-Git field.
  * Add binary package fonts-croscore: Now part of this upstream
    project.
    + Add maintscript to handle removal of all conffiles.
    Closes: bug#785099, Thanks to Jonas Smedegaard and Fabian Greffrath.
  * Add bug-presubj and bug-script files for fonts-noto variants.
  * Add fontconfig hint mapping Droid fonts to Noto.
    Thanks to Fabian Greffrath.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Nov 2015 18:11:19 +0100
