=== debian/control ===
Source: fonts-noto
Priority: optional
Section: fonts
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl,
 lcdf-typetools
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>
Standards-Version: 3.9.6
Homepage: https://github.com/googlei18n/noto-fonts
Vcs-Git: https://anonscm.debian.org/pkg-fonts/fonts-noto.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-noto.git

Package: fonts-noto
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 fonts-noto-hinted
Recommends:
 fonts-noto-unhinted,
 fonts-noto-mono,
 fonts-noto-cjk
Description: metapackage to pull in all Noto fonts
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 Use this package if you want all Noto fonts.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted and unhinted).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-noto-hinted
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-noto (<< 2015-05-11+cjk-1~)
Replaces:
 fonts-noto (<< 2015-05-11+cjk-1~),
 fonts-noto-unhinted (<< 2015-09-29-1~)
Description: "No Tofu" font families with large Unicode coverage (hinted)
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 This package contains Noto font families with hinting:
 .
 ${fonts:familylist}
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted and unhinted packages).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-noto-unhinted
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: fonts-noto-hinted
Description: "No Tofu" font families with large Unicode coverage (unhinted)
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 This package contains Noto font families which lacks hinting:
 .
 ${fonts:nohintfamilylist}
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts
 (currently ${fonts:scriptcount} are covered, at least partly, across
 hinted and unhinted packages).
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-noto-mono
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: fonts-noto-hinted
Description: "No Tofu" monospaced font family with large Unicode coverage
 Noto is a collection of font families, each visually harmonized across
 scripts.
 .
 This package contains Noto Mono font family, formerly known as Droid
 Mono.  Beware that Noto Mono has a much smaller repertoire than Noto
 Sans or Noto Serif.
 .
 The name "Noto" is short for "No Tofu", describing the aim of covering
 all living Unicode scripts.
 .
 Tofu (豆腐) is japanese jargon for unicode replacement character "�"
 (U+FFFD) often displayed as replacement for unassigned or unknown
 characters.

Package: fonts-croscore
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 fonts-crosextra-caladea,
 fonts-crosextra-carlito
Description: width-compatible fonts for improved on-screen readability
 This package contains a collections of fonts that offers improved
 on-screen readability characteristics and the pan-European WGL
 character set and solves the needs of developers looking for
 width-compatible fonts to address document portability across
 platforms.
 .
 Arimo, Cousine and Tinos were designed by Steve Matteson as innovative
 and refreshing designs that are metrically compatible with Arial,
 Courier New and Times New Roman, respectively.
