=== debian/watch ===
# Only "most notable" releases tagged upstream: See README.source
version = 3
opts=dversionmangle=s/~dfsg\d*$//, uversionmangle=s/^(\d{4}-(\d{2}-(\d{2}).*/$1$2$3/" \
https://github.com/googlei18n/noto-fonts/tags .*/archive/(\d[\d.-]+)\.tar\.gz
