## fonts-noto 20160724

=== debian/changelog ===
fonts-noto (20160724-1) unstable; urgency=medium

  * [ upstream ]
    New "releases".
    + Update NotoSansJavanese to v1.06.
    + Fix OTS bad max_zones warnings in Cham and Lao fonts.
    + Update Gurmukhi hinted/unhinted to v1.03.
    + Improve FAQ formatting.
    + Update README.md.
    + Removed spurious bullet item.
    + Bring FAQ back to Markdown syntax.
    + Use linkable section headers.
    + Update Symbols to v1.09.
    + Update Syriac fonts to v 1.04.
    + Swap glyphs for U+03C6 (phi) and U+03D5 (phi1) in NotoSerif.
    + Hot fix for #510: Primes need to be angled.
    + Use asterisks instead of underscore in markdown.
    + Added to alpha/from-pipeline fonts which were created from glyphs
      files.
    + Update all fonts for the run about midnight PDT on 2016-03-31 (and
      2016-04-01).
    + Fix year.
    + Update serif Bengali (h/uh) to v1.01.
    + Update Serif Malayalam (h/uh) to v1.01.
    + Update Serif Tamil (h/uh) to v1.01.
    + Update Serif Kannada (h/uh) to v1.01.
    + Update Serif Telugu (h/uh) to v1.01.
    + Add Serif Devanagari (h/uh) v1.01.
    + Update Serif Gujarati (h/uh) to v1.02.

  [ Jonas Smedegaard ]
  * Temporarily skip license-check of some fonts which license-miner
    mysteriously choke on.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Jul 2016 19:39:05 +0200

fonts-noto (20160116-3) unstable; urgency=medium

  * Make package reproducible.
    Closes: bug#833005, Thanks to Chris Lamb.
  * Fix the captilization error in debian/control.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 31 Jul 2016 16:18:57 +0530

fonts-noto (20160116-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update Homepage.
  * Update watch file:
    + Fix opts quoting.
    + Fix uversionmangle regex.
    + Fix matching regex.
    + Bump to file format 4.
    + Add usage comment.
    + Use substitution variables.
  * Modernize copyright-check CDBS hints.
    Drop license-miner (included with cdbs now).
    Tighten build-dependency on cdbs.

  [ Vasudev Kamath ]
  * Fix typo in Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jun 2016 10:19:33 +0200
