=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fonts-noto
 Priority: optional
 Section: fonts
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.131~),
  debhelper,
  dh-buildinfo,
  devscripts,
@@ -12,9 +12,9 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 3.9.6
-Homepage: https://github.com/googlei18n/noto-fonts
-Vcs-Git: https://anonscm.debian.org/pkg-fonts/fonts-noto.git
+Standards-Version: 3.9.8
+Homepage: https://www.google.com/get/noto/
+Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-noto.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-noto.git
 
 Package: fonts-noto
@@ -39,7 +39,7 @@
  (currently ${fonts:scriptcount} are covered, at least partly, across
  hinted and unhinted).
  .
- Tofu (豆腐) is japanese jargon for unicode replacement character "�"
+ Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
  (U+FFFD) often displayed as replacement for unassigned or unknown
  characters.
 
@@ -64,7 +64,7 @@
  (currently ${fonts:scriptcount} are covered, at least partly, across
  hinted and unhinted packages).
  .
- Tofu (豆腐) is japanese jargon for unicode replacement character "�"
+ Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
  (U+FFFD) often displayed as replacement for unassigned or unknown
  characters.
 
@@ -86,7 +86,7 @@
  (currently ${fonts:scriptcount} are covered, at least partly, across
  hinted and unhinted packages).
  .
- Tofu (豆腐) is japanese jargon for unicode replacement character "�"
+ Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
  (U+FFFD) often displayed as replacement for unassigned or unknown
  characters.
 
@@ -106,7 +106,7 @@
  The name "Noto" is short for "No Tofu", describing the aim of covering
  all living Unicode scripts.
  .
- Tofu (豆腐) is japanese jargon for unicode replacement character "�"
+ Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
  (U+FFFD) often displayed as replacement for unassigned or unknown
  characters.
