=== debian/rules ===
--- 
+++ 
@@ -19,32 +19,15 @@
  $(filter $(DEB_UPSTREAM_PACKAGE)-%,$(DEB_UPSTREAM_TARBALL_BASENAME)),\
   $(error set DEB_UPSTREAM_TARBALL_BASENAME to commit hash))
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
 DEB_INSTALL_DOCS_ALL += README.md FAQ.md
 
 $(addprefix binary-fixup/,$(pkgs))::
 	find debian/$(cdbs_curpkg)/usr/share/fonts/*/noto -type f -execdir chmod -x {} +
 
-# extract metadata from fonts before copyright check
-CDBS_BUILD_DEPENDS +=, libregexp-assemble-perl, libimage-exiftool-perl
-CDBS_BUILD_DEPENDS +=, libfont-ttf-perl
-local_inspection_regex = gif|jpg|png|ttf|ttc
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
-debian/stamp-copyright-check: debian/stamp-extract-copyright
-debian/stamp-extract-copyright:
-	find * -type f -regextype posix-extended \
-		-regex '.*\.($(local_inspection_regex))' \
-		-print0 | perl -0 debian/license-miner
-	touch $@
-pre-build:: clean-extracted-copyright-during-build
-clean-extracted-copyright-during-build: debian/stamp-copyright-check
-	find -type f -name '*.metadata_dump' -delete
-clean::
-	find -type f -name '*.metadata_dump' -delete
-	rm -f debian/stamp-extract-copyright
+DEB_COPYRIGHT_EXTRACT_EXTS = gif jpg png ttf ttc
+
+# FIXME: drop when not choking on them
+DEB_COPYRIGHT_CHECK_IGNORE_PATHS = alpha/from-pipeline/.*.ttf
 
 # resolve font facts and encode for control file (see deb-substvars(5) )
 CDBS_BUILD_DEPENDS +=, lcdf-typetools
@@ -59,8 +42,8 @@
 
 # Substvars magic
 fonts-scriptcount := $(shell otfinfo -s $(fonts-unhinted) | perl -ne 's/^.*\t+//;s, ?(/|Default|<unknown|v\.2|\(.*\)).*,,;s,^([^/]+)/\1,$1,;/./ and print' | sort -u | grep -c .)
-fonts-familylist := $(shell otfinfo -a $(fonts-hinted) | cut -d: -f2 | sort -u | $(substvars-list-encode))
-fonts-nohintfamilylist := $(shell otfinfo -a $(fonts-nothinted) | cut -d: -f2 | sort -u | $(substvars-list-encode))
+fonts-familylist := $(shell otfinfo -a $(fonts-hinted) | cut -d: -f2 | LC_ALL=C sort -u | $(substvars-list-encode))
+fonts-nohintfamilylist := $(shell otfinfo -a $(fonts-nothinted) | cut -d: -f2 | LC_ALL=C sort -u | $(substvars-list-encode))
 
 # Install fonts
 DEB_DH_INSTALL_ARGS_$(pkg-mono) = $(fonts-mono) usr/share/fonts/truetype/noto/
