## fonts-noto 20161116

=== debian/changelog ===
fonts-noto (20161116-1) unstable; urgency=medium

  * [ upstream ]
    New "releases".
    + New build and some new sources.
    + Added Symbols2 OTF and TTF files.
    + Update FAQ.md.
    + Results of the build(s) from 30/Sep/2016 and 1-2/Oct/2016
    + Cleanup of files that were not meant to be released.
    + Bump post table version in Lao fonts to 3.0.
    + Compiled with the most recent pipeline which includes
      interpolation. Missing all *Myanmar* fonts, because they have
      source problems.
    + Cleaning up (removing) old fonts, using old naming conventions.

  [ Jonas Smedegaard ]
  * Shrink udeb package fonts-noto-hinted-udeb to contain only Sinhala
    fonts for now (see bug#837926).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Nov 2016 11:24:01 +0100

fonts-noto (20160724-3) unstable; urgency=medium

  * Fix revert to compute font lists also for metapackage.
    Closes: Bug#838265. Thanks to Beatrice Torracca.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Sep 2016 13:00:48 +0200

fonts-noto (20160724-2) unstable; urgency=medium

  * Stop unset executable bits (incomplete, and concrete issues fixed
    upstream).
  * Fix stop bogusly compute font lists for metapackage.
  * Provide udeb packages fonts-noto-hinted fonts-noto-unhinted.
    Closes: Bug#837923. Thanks to Harshula.
  * Update copyright info:
    + Fix extend coverage for main upstream author.
  * Improve copyright check:
    + Extract TrueType and OpenType fonts using exiftool (only TrueType
      containers using Font::TTF).
    + Build-depend on licensecheck (not devscripts).
    + Tighten build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Sep 2016 16:28:11 +0200
