=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fonts-noto
 Priority: optional
 Section: fonts
-Build-Depends: cdbs (>= 0.4.131~),
+Build-Depends: cdbs (>= 0.4.147~),
  debhelper,
  dh-buildinfo,
- devscripts,
+ licensecheck,
  libregexp-assemble-perl,
  libimage-exiftool-perl,
  libfont-ttf-perl,
@@ -68,6 +68,18 @@
  (U+FFFD) often displayed as replacement for unassigned or unknown
  characters.
 
+Package: fonts-noto-hinted-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: all
+Depends: ${misc:Depends}
+Description: "No Tofu" font families with large Unicode coverage (hinted)
+ Noto is a collection of font families, each visually harmonized across
+ scripts.
+ .
+ This package contains Noto font families with hinting,
+ for use with the GTK frontend of debian-installer.
+
 Package: fonts-noto-unhinted
 Architecture: all
 Multi-Arch: foreign
@@ -89,6 +101,18 @@
  Tofu (豆腐) is Japanese jargon for unicode replacement character "�"
  (U+FFFD) often displayed as replacement for unassigned or unknown
  characters.
+
+Package: fonts-noto-unhinted-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: all
+Depends: ${misc:Depends}
+Description: "No Tofu" font families with large Unicode coverage (unhinted)
+ Noto is a collection of font families, each visually harmonized across
+ scripts.
+ .
+ This package contains Noto font families which lacks hinting,
+ for use with the GTK frontend of debian-installer.
 
 Package: fonts-noto-mono
 Architecture: all
