=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 pkg = $(DEB_SOURCE_PACKAGE)
 pkg-mono = $(pkg)-mono
 pkg-hinted = $(pkg)-hinted
+pkg-hinted-udeb = $(pkg)-hinted-udeb
 pkg-unhinted = $(pkg)-unhinted
+pkg-unhinted-udeb = $(pkg)-unhinted-udeb
 pkg-croscore = fonts-croscore
-pkgs = $(pkg-hinted) $(pkg-unhinted)
 
 DEB_UPSTREAM_URL = https://github.com/googlei18n/noto-fonts/archive
 DEB_UPSTREAM_PACKAGE = NotoFonts-hinted
@@ -21,13 +22,8 @@
 
 DEB_INSTALL_DOCS_ALL += README.md FAQ.md
 
-$(addprefix binary-fixup/,$(pkgs))::
-	find debian/$(cdbs_curpkg)/usr/share/fonts/*/noto -type f -execdir chmod -x {} +
-
-DEB_COPYRIGHT_EXTRACT_EXTS = gif jpg png ttf ttc
-
-# FIXME: drop when not choking on them
-DEB_COPYRIGHT_CHECK_IGNORE_PATHS = alpha/from-pipeline/.*.ttf
+DEB_COPYRIGHT_EXTRACT_EXTS = gif jpg png ttc
+DEB_COPYRIGHT_EXTRACT_PATHS_EXIF = .*.ttf .*.otf
 
 # resolve font facts and encode for control file (see deb-substvars(5) )
 CDBS_BUILD_DEPENDS +=, lcdf-typetools
@@ -36,6 +32,7 @@
 # Generate fonts list
 fonts-mono := $(wildcard hinted/NotoMono*.ttf)
 fonts-hinted := $(filter-out $(fonts-mono),$(wildcard hinted/Noto*.ttf))
+fonts-hinted-di = $(wildcard hinted/NotoSansSinhala*.ttf)
 fonts-unhinted := $(wildcard unhinted/Noto*.ttf)
 fonts-croscore := $(wildcard hinted/Arimo*.ttf hinted/Cousine*.ttf hinted/Tinos*.ttf)
 fonts-nothinted = $(filter-out $(subst hinted,unhinted,$(fonts-hinted)),$(fonts-unhinted))
@@ -48,13 +45,15 @@
 # Install fonts
 DEB_DH_INSTALL_ARGS_$(pkg-mono) = $(fonts-mono) usr/share/fonts/truetype/noto/
 DEB_DH_INSTALL_ARGS_$(pkg-hinted) = $(fonts-hinted) usr/share/fonts/truetype/noto/
+DEB_DH_INSTALL_ARGS_$(pkg-hinted-udeb) = $(fonts-hinted-di) usr/share/fonts/truetype/noto/
 DEB_DH_INSTALL_ARGS_$(pkg-unhinted) = $(fonts-nothinted) usr/share/fonts/truetype/noto/
+DEB_DH_INSTALL_ARGS_$(pkg-unhinted-udeb) = $(fonts-nothinted) usr/share/fonts/truetype/noto/
 DEB_DH_INSTALL_ARGS_$(pkg-croscore) = $(fonts-croscore) usr/share/fonts/truetype/croscore/
 
 # install bug-* files into all binary packages
 DEB_DH_BUGFILES_ARGS_ALL = --all
 
-$(addprefix install/,$(pkg) $(pkgs))::
+$(addprefix install/,$(pkg) $(pkg-hinted) $(pkg-unhinted))::
 	echo 'fonts:scriptcount=$(fonts-scriptcount)' >> debian/$(cdbs_curpkg).substvars
 install/$(pkg-hinted)::
 	echo 'fonts:familylist=$(fonts-familylist)' >> debian/$(cdbs_curpkg).substvars
