## fonts-noto 20171026

=== debian/changelog ===
fonts-noto (20171026-2) unstable; urgency=medium

  * Fix break+replace correct packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Oct 2017 21:23:21 +0100

fonts-noto (20171026-1) unstable; urgency=medium

  * [ upstream ]
    New "releases".

  [ Jonas Smedegaard ]
  * Update git-buildpackage config: Disable use of pristine-tar.
  * Simplify rules: Stop resolve build-dependencies in rules file.
  * Modernize Vcs-* fields: Consistently use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Update watch file: Use substitution strings.
  * Simplify rules:
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
      Relax to build-depend unversioned on cdbs.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Stop build-depend on dh-buildinfo.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend coverage for myself.
    + Use https protocol in file format URL.
  * Resolve font info late.
  * Install NEWS.md.
  * Provide only main font variants Regular Bold Italic BoldItalic
    (extra variants provided later in separate binary package).
  * Have fonts-noto-unhinted break+replace older fonts-noto-hinted:
    Hinting no longer included with Noto Sans family Cham.
  * Have fonts-noto-hinted break+replace older fonts-noto-unhinted:
    Hinting now included with Noto Sans families Avestan Bamum Buhid
    Carian Cherokee Cypriot Deseret Glagolitic Gothic KayahLi Lisu
    Mandaic N'Ko OlChiki OldTurkic Osmanya Shavian Symbols Tifinagh Vai.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Oct 2017 17:56:36 +0100
