=== debian/control ===
--- 
+++ 
@@ -1,21 +1,16 @@
 Source: fonts-noto
 Priority: optional
 Section: fonts
-Build-Depends: cdbs (>= 0.4.147~),
+Build-Depends: cdbs,
  debhelper,
- dh-buildinfo,
- licensecheck,
- libregexp-assemble-perl,
- libimage-exiftool-perl,
- libfont-ttf-perl,
  lcdf-typetools
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://www.google.com/get/noto/
 Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-noto.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-noto.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/fonts-noto.git
 
 Package: fonts-noto
 Section: metapackages
@@ -47,10 +42,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: fonts-noto (<< 2015-05-11+cjk-1~)
+Breaks:
+ fonts-noto (<< 2015-05-11+cjk-1~),
+ fonts-noto-unhinted (<< 20171026),
 Replaces:
  fonts-noto (<< 2015-05-11+cjk-1~),
- fonts-noto-unhinted (<< 2015-09-29-1~)
+ fonts-noto-unhinted (<< 20171026),
 Description: "No Tofu" font families with large Unicode coverage (hinted)
  Noto is a collection of font families, each visually harmonized across
  scripts.
@@ -84,6 +81,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: fonts-noto-hinted (<< 20171026)
+Replaces: fonts-noto-hinted (<< 20171026)
 Enhances: fonts-noto-hinted
 Description: "No Tofu" font families with large Unicode coverage (unhinted)
  Noto is a collection of font families, each visually harmonized across
